The WebIssues Client Manual
Desktop client for the WebIssues system
Home » Installation Guide
« Compiling on Windows
Command Line Options »

## Compiling on Mac OS X

To compile the program you will need a C++ compiler and headers for the Qt library.

The typical procedure of building the program is:

$ ./configure
$ make

To create the binary package run the attached script:

$ cd osx-package
$ ./osx-package.sh WebIssues

Additional options that can be passed to the configure script:

`-prefix `DIR``

  Location where the package will be installed (default is `/usr/local`).

`-destdir `DIR``

  Destination directory prepended to the installation prefix (useful for creating distribution packages or testing installation).

`-qmake `PATH``

  Full path to the qmake tool (required if it cannot be found automatically).

`-debug`

  Build the application in debugging mode (with symbols and without optimizations).

`-universal`

  Build both the x86 and PPC version.

`-target `VERSION``

  Set OS X deployment target (default target is 10.3).

`-sdk `PATH``

  Set OS X SDK (default is /Developer/SDKs/MacOSX10.4u.sdk).

« Compiling on Windows
Command Line Options »

Copyright © 2007-2009 WebIssues Team